import { ref as lt, h as ot, defineComponent as ft, reactive as ht, computed as mt, watch as pt, onMounted as yt, openBlock as st, createElementBlock as it, unref as H, createVNode as W, withCtx as q, createElementVNode as X, createCommentVNode as _t, createTextVNode as $t } from "vue";
import { message as gt, Card as Mt, InputSearch as vt, Tree as wt, Button as Dt } from "ant-design-vue";
import { useRouter as bt } from "vue-router";
import { c as tt, g as G, o as kt, a as St, C as Yt, W as Tt, b as xt } from "./index.e7201430.js";
import { W as Ft, a as Bt, b as Ct } from "./WorkflowBackModal.6c390a74.js";
import "sanzhi-form-design-vue3";
import "axios";
var et = { exports: {} };
(function(w, F) {
  (function(l, y) {
    w.exports = y();
  })(tt, function() {
    var l = 1e3, y = 6e4, m = 36e5, p = "millisecond", f = "second", i = "minute", $ = "hour", d = "day", b = "week", u = "month", T = "quarter", v = "year", B = "date", I = "Invalid Date", R = /^(\d{4})[-/]?(\d{1,2})?[-/]?(\d{0,2})[Tt\s]*(\d{1,2})?:?(\d{1,2})?:?(\d{1,2})?[.:]?(\d+)?$/, K = /\[([^\]]+)]|Y{1,4}|M{1,4}|D{1,2}|d{1,4}|H{1,2}|h{1,2}|a|A|m{1,2}|s{1,2}|Z{1,2}|SSS/g, Q = { name: "en", weekdays: "Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"), months: "January_February_March_April_May_June_July_August_September_October_November_December".split("_"), ordinal: function(a) {
      var r = ["th", "st", "nd", "rd"], t = a % 100;
      return "[" + a + (r[(t - 20) % 10] || r[t] || r[0]) + "]";
    } }, U = function(a, r, t) {
      var n = String(a);
      return !n || n.length >= r ? a : "" + Array(r + 1 - n.length).join(t) + a;
    }, A = { s: U, z: function(a) {
      var r = -a.utcOffset(), t = Math.abs(r), n = Math.floor(t / 60), e = t % 60;
      return (r <= 0 ? "+" : "-") + U(n, 2, "0") + ":" + U(e, 2, "0");
    }, m: function a(r, t) {
      if (r.date() < t.date())
        return -a(t, r);
      var n = 12 * (t.year() - r.year()) + (t.month() - r.month()), e = r.clone().add(n, u), o = t - e < 0, s = r.clone().add(n + (o ? -1 : 1), u);
      return +(-(n + (t - e) / (o ? e - s : s - e)) || 0);
    }, a: function(a) {
      return a < 0 ? Math.ceil(a) || 0 : Math.floor(a);
    }, p: function(a) {
      return { M: u, y: v, w: b, d, D: B, h: $, m: i, s: f, ms: p, Q: T }[a] || String(a || "").toLowerCase().replace(/s$/, "");
    }, u: function(a) {
      return a === void 0;
    } }, k = "en", S = {};
    S[k] = Q;
    var P = "$isDayjsObject", O = function(a) {
      return a instanceof z || !(!a || !a[P]);
    }, Z = function a(r, t, n) {
      var e;
      if (!r)
        return k;
      if (typeof r == "string") {
        var o = r.toLowerCase();
        S[o] && (e = o), t && (S[o] = t, e = o);
        var s = r.split("-");
        if (!e && s.length > 1)
          return a(s[0]);
      } else {
        var h = r.name;
        S[h] = r, e = h;
      }
      return !n && e && (k = e), e || !n && k;
    }, g = function(a, r) {
      if (O(a))
        return a.clone();
      var t = typeof r == "object" ? r : {};
      return t.date = a, t.args = arguments, new z(t);
    }, c = A;
    c.l = Z, c.i = O, c.w = function(a, r) {
      return g(a, { locale: r.$L, utc: r.$u, x: r.$x, $offset: r.$offset });
    };
    var z = function() {
      function a(t) {
        this.$L = Z(t.locale, null, !0), this.parse(t), this.$x = this.$x || t.x || {}, this[P] = !0;
      }
      var r = a.prototype;
      return r.parse = function(t) {
        this.$d = function(n) {
          var e = n.date, o = n.utc;
          if (e === null)
            return new Date(NaN);
          if (c.u(e))
            return new Date();
          if (e instanceof Date)
            return new Date(e);
          if (typeof e == "string" && !/Z$/i.test(e)) {
            var s = e.match(R);
            if (s) {
              var h = s[2] - 1 || 0, _ = (s[7] || "0").substring(0, 3);
              return o ? new Date(Date.UTC(s[1], h, s[3] || 1, s[4] || 0, s[5] || 0, s[6] || 0, _)) : new Date(s[1], h, s[3] || 1, s[4] || 0, s[5] || 0, s[6] || 0, _);
            }
          }
          return new Date(e);
        }(t), this.init();
      }, r.init = function() {
        var t = this.$d;
        this.$y = t.getFullYear(), this.$M = t.getMonth(), this.$D = t.getDate(), this.$W = t.getDay(), this.$H = t.getHours(), this.$m = t.getMinutes(), this.$s = t.getSeconds(), this.$ms = t.getMilliseconds();
      }, r.$utils = function() {
        return c;
      }, r.isValid = function() {
        return this.$d.toString() !== I;
      }, r.isSame = function(t, n) {
        var e = g(t);
        return this.startOf(n) <= e && e <= this.endOf(n);
      }, r.isAfter = function(t, n) {
        return g(t) < this.startOf(n);
      }, r.isBefore = function(t, n) {
        return this.endOf(n) < g(t);
      }, r.$g = function(t, n, e) {
        return c.u(t) ? this[n] : this.set(e, t);
      }, r.unix = function() {
        return Math.floor(this.valueOf() / 1e3);
      }, r.valueOf = function() {
        return this.$d.getTime();
      }, r.startOf = function(t, n) {
        var e = this, o = !!c.u(n) || n, s = c.p(t), h = function(E, Y) {
          var C = c.w(e.$u ? Date.UTC(e.$y, Y, E) : new Date(e.$y, Y, E), e);
          return o ? C : C.endOf(d);
        }, _ = function(E, Y) {
          return c.w(e.toDate()[E].apply(e.toDate("s"), (o ? [0, 0, 0, 0] : [23, 59, 59, 999]).slice(Y)), e);
        }, M = this.$W, D = this.$M, x = this.$D, N = "set" + (this.$u ? "UTC" : "");
        switch (s) {
          case v:
            return o ? h(1, 0) : h(31, 11);
          case u:
            return o ? h(1, D) : h(0, D + 1);
          case b:
            var L = this.$locale().weekStart || 0, j = (M < L ? M + 7 : M) - L;
            return h(o ? x - j : x + (6 - j), D);
          case d:
          case B:
            return _(N + "Hours", 0);
          case $:
            return _(N + "Minutes", 1);
          case i:
            return _(N + "Seconds", 2);
          case f:
            return _(N + "Milliseconds", 3);
          default:
            return this.clone();
        }
      }, r.endOf = function(t) {
        return this.startOf(t, !1);
      }, r.$set = function(t, n) {
        var e, o = c.p(t), s = "set" + (this.$u ? "UTC" : ""), h = (e = {}, e[d] = s + "Date", e[B] = s + "Date", e[u] = s + "Month", e[v] = s + "FullYear", e[$] = s + "Hours", e[i] = s + "Minutes", e[f] = s + "Seconds", e[p] = s + "Milliseconds", e)[o], _ = o === d ? this.$D + (n - this.$W) : n;
        if (o === u || o === v) {
          var M = this.clone().set(B, 1);
          M.$d[h](_), M.init(), this.$d = M.set(B, Math.min(this.$D, M.daysInMonth())).$d;
        } else
          h && this.$d[h](_);
        return this.init(), this;
      }, r.set = function(t, n) {
        return this.clone().$set(t, n);
      }, r.get = function(t) {
        return this[c.p(t)]();
      }, r.add = function(t, n) {
        var e, o = this;
        t = Number(t);
        var s = c.p(n), h = function(D) {
          var x = g(o);
          return c.w(x.date(x.date() + Math.round(D * t)), o);
        };
        if (s === u)
          return this.set(u, this.$M + t);
        if (s === v)
          return this.set(v, this.$y + t);
        if (s === d)
          return h(1);
        if (s === b)
          return h(7);
        var _ = (e = {}, e[i] = y, e[$] = m, e[f] = l, e)[s] || 1, M = this.$d.getTime() + t * _;
        return c.w(M, this);
      }, r.subtract = function(t, n) {
        return this.add(-1 * t, n);
      }, r.format = function(t) {
        var n = this, e = this.$locale();
        if (!this.isValid())
          return e.invalidDate || I;
        var o = t || "YYYY-MM-DDTHH:mm:ssZ", s = c.z(this), h = this.$H, _ = this.$m, M = this.$M, D = e.weekdays, x = e.months, N = e.meridiem, L = function(Y, C, V, J) {
          return Y && (Y[C] || Y(n, o)) || V[C].slice(0, J);
        }, j = function(Y) {
          return c.s(h % 12 || 12, Y, "0");
        }, E = N || function(Y, C, V) {
          var J = Y < 12 ? "AM" : "PM";
          return V ? J.toLowerCase() : J;
        };
        return o.replace(K, function(Y, C) {
          return C || function(V) {
            switch (V) {
              case "YY":
                return String(n.$y).slice(-2);
              case "YYYY":
                return c.s(n.$y, 4, "0");
              case "M":
                return M + 1;
              case "MM":
                return c.s(M + 1, 2, "0");
              case "MMM":
                return L(e.monthsShort, M, x, 3);
              case "MMMM":
                return L(x, M);
              case "D":
                return n.$D;
              case "DD":
                return c.s(n.$D, 2, "0");
              case "d":
                return String(n.$W);
              case "dd":
                return L(e.weekdaysMin, n.$W, D, 2);
              case "ddd":
                return L(e.weekdaysShort, n.$W, D, 3);
              case "dddd":
                return D[n.$W];
              case "H":
                return String(h);
              case "HH":
                return c.s(h, 2, "0");
              case "h":
                return j(1);
              case "hh":
                return j(2);
              case "a":
                return E(h, _, !0);
              case "A":
                return E(h, _, !1);
              case "m":
                return String(_);
              case "mm":
                return c.s(_, 2, "0");
              case "s":
                return String(n.$s);
              case "ss":
                return c.s(n.$s, 2, "0");
              case "SSS":
                return c.s(n.$ms, 3, "0");
              case "Z":
                return s;
            }
            return null;
          }(Y) || s.replace(":", "");
        });
      }, r.utcOffset = function() {
        return 15 * -Math.round(this.$d.getTimezoneOffset() / 15);
      }, r.diff = function(t, n, e) {
        var o, s = this, h = c.p(n), _ = g(t), M = (_.utcOffset() - this.utcOffset()) * y, D = this - _, x = function() {
          return c.m(s, _);
        };
        switch (h) {
          case v:
            o = x() / 12;
            break;
          case u:
            o = x();
            break;
          case T:
            o = x() / 3;
            break;
          case b:
            o = (D - M) / 6048e5;
            break;
          case d:
            o = (D - M) / 864e5;
            break;
          case $:
            o = D / m;
            break;
          case i:
            o = D / y;
            break;
          case f:
            o = D / l;
            break;
          default:
            o = D;
        }
        return e ? o : c.a(o);
      }, r.daysInMonth = function() {
        return this.endOf(u).$D;
      }, r.$locale = function() {
        return S[this.$L];
      }, r.locale = function(t, n) {
        if (!t)
          return this.$L;
        var e = this.clone(), o = Z(t, n, !0);
        return o && (e.$L = o), e;
      }, r.clone = function() {
        return c.w(this.$d, this);
      }, r.toDate = function() {
        return new Date(this.valueOf());
      }, r.toJSON = function() {
        return this.isValid() ? this.toISOString() : null;
      }, r.toISOString = function() {
        return this.$d.toISOString();
      }, r.toString = function() {
        return this.$d.toUTCString();
      }, a;
    }(), at = z.prototype;
    return g.prototype = at, [["$ms", p], ["$s", f], ["$m", i], ["$H", $], ["$W", d], ["$M", u], ["$y", v], ["$D", B]].forEach(function(a) {
      at[a[1]] = function(r) {
        return this.$g(r, a[0], a[1]);
      };
    }), g.extend = function(a, r) {
      return a.$i || (a(r, z, g), a.$i = !0), g;
    }, g.locale = Z, g.isDayjs = O, g.unix = function(a) {
      return g(1e3 * a);
    }, g.en = S[k], g.Ls = S, g.p = {}, g;
  });
})(et);
const rt = et.exports;
var Wt = { exports: {} };
(function(w, F) {
  (function(l, y) {
    w.exports = y(et.exports);
  })(tt, function(l) {
    function y(f) {
      return f && typeof f == "object" && "default" in f ? f : { default: f };
    }
    var m = y(l), p = { name: "zh-cn", weekdays: "\u661F\u671F\u65E5_\u661F\u671F\u4E00_\u661F\u671F\u4E8C_\u661F\u671F\u4E09_\u661F\u671F\u56DB_\u661F\u671F\u4E94_\u661F\u671F\u516D".split("_"), weekdaysShort: "\u5468\u65E5_\u5468\u4E00_\u5468\u4E8C_\u5468\u4E09_\u5468\u56DB_\u5468\u4E94_\u5468\u516D".split("_"), weekdaysMin: "\u65E5_\u4E00_\u4E8C_\u4E09_\u56DB_\u4E94_\u516D".split("_"), months: "\u4E00\u6708_\u4E8C\u6708_\u4E09\u6708_\u56DB\u6708_\u4E94\u6708_\u516D\u6708_\u4E03\u6708_\u516B\u6708_\u4E5D\u6708_\u5341\u6708_\u5341\u4E00\u6708_\u5341\u4E8C\u6708".split("_"), monthsShort: "1\u6708_2\u6708_3\u6708_4\u6708_5\u6708_6\u6708_7\u6708_8\u6708_9\u6708_10\u6708_11\u6708_12\u6708".split("_"), ordinal: function(f, i) {
      return i === "W" ? f + "\u5468" : f + "\u65E5";
    }, weekStart: 1, yearStart: 4, formats: { LT: "HH:mm", LTS: "HH:mm:ss", L: "YYYY/MM/DD", LL: "YYYY\u5E74M\u6708D\u65E5", LLL: "YYYY\u5E74M\u6708D\u65E5Ah\u70B9mm\u5206", LLLL: "YYYY\u5E74M\u6708D\u65E5ddddAh\u70B9mm\u5206", l: "YYYY/M/D", ll: "YYYY\u5E74M\u6708D\u65E5", lll: "YYYY\u5E74M\u6708D\u65E5 HH:mm", llll: "YYYY\u5E74M\u6708D\u65E5dddd HH:mm" }, relativeTime: { future: "%s\u5185", past: "%s\u524D", s: "\u51E0\u79D2", m: "1 \u5206\u949F", mm: "%d \u5206\u949F", h: "1 \u5C0F\u65F6", hh: "%d \u5C0F\u65F6", d: "1 \u5929", dd: "%d \u5929", M: "1 \u4E2A\u6708", MM: "%d \u4E2A\u6708", y: "1 \u5E74", yy: "%d \u5E74" }, meridiem: function(f, i) {
      var $ = 100 * f + i;
      return $ < 600 ? "\u51CC\u6668" : $ < 900 ? "\u65E9\u4E0A" : $ < 1100 ? "\u4E0A\u5348" : $ < 1300 ? "\u4E2D\u5348" : $ < 1800 ? "\u4E0B\u5348" : "\u665A\u4E0A";
    } };
    return m.default.locale(p, null, !0), p;
  });
})(Wt);
var ct = { exports: {} };
(function(w, F) {
  (function(l, y) {
    w.exports = y();
  })(tt, function() {
    return function(l, y, m) {
      l = l || {};
      var p = y.prototype, f = { future: "in %s", past: "%s ago", s: "a few seconds", m: "a minute", mm: "%d minutes", h: "an hour", hh: "%d hours", d: "a day", dd: "%d days", M: "a month", MM: "%d months", y: "a year", yy: "%d years" };
      function i(d, b, u, T) {
        return p.fromToBase(d, b, u, T);
      }
      m.en.relativeTime = f, p.fromToBase = function(d, b, u, T, v) {
        for (var B, I, R, K = u.$locale().relativeTime || f, Q = l.thresholds || [{ l: "s", r: 44, d: "second" }, { l: "m", r: 89 }, { l: "mm", r: 44, d: "minute" }, { l: "h", r: 89 }, { l: "hh", r: 21, d: "hour" }, { l: "d", r: 35 }, { l: "dd", r: 25, d: "day" }, { l: "M", r: 45 }, { l: "MM", r: 10, d: "month" }, { l: "y", r: 17 }, { l: "yy", d: "year" }], U = Q.length, A = 0; A < U; A += 1) {
          var k = Q[A];
          k.d && (B = T ? m(d).diff(u, k.d, !0) : u.diff(d, k.d, !0));
          var S = (l.rounding || Math.round)(Math.abs(B));
          if (R = B > 0, S <= k.r || !k.r) {
            S <= 1 && A > 0 && (k = Q[A - 1]);
            var P = K[k.l];
            v && (S = v("" + S)), I = typeof P == "string" ? P.replace("%d", S) : P(S, b, k.l, R);
            break;
          }
        }
        if (b)
          return I;
        var O = R ? K.future : K.past;
        return typeof O == "function" ? O(I) : O.replace("%s", I);
      }, p.to = function(d, b) {
        return i(d, b, this, !0);
      }, p.from = function(d, b) {
        return i(d, b, this);
      };
      var $ = function(d) {
        return d.$u ? m.utc() : m();
      };
      p.toNow = function(d) {
        return this.to($(this), d);
      }, p.fromNow = function(d) {
        return this.from($(this), d);
      };
    };
  });
})(ct);
const It = ct.exports;
rt.locale("zh-cn");
rt.extend(It);
function At() {
  return rt;
}
const nt = lt([]), dt = lt([]);
function Ot() {
  return new Promise((w, F) => {
    G("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((l) => {
      const { data: y } = l;
      nt.value = y, y.length && dt.value.push(y[0].id), w(l);
    }).catch((l) => {
      F(l);
    });
  });
}
function Lt(w = {}, F) {
  return {
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: m }) {
          const { flowId: p, instanceId: f, id: i, title: $ } = m, d = { flowId: p, instanceId: f, taskId: i };
          return ot("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              kt({ params: d, router: F });
            }
          }, $);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u4EBA",
        dataIndex: "senderName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u63A5\u6536\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u505C\u7559\u65F6\u95F4",
        dataIndex: "stepName",
        customRender: function({ record: m }) {
          const { receiveTime: p } = m;
          return At()(p).fromNow();
        },
        width: 100
      },
      {
        title: "\u72B6\u6001",
        dataIndex: "status",
        customRender: function({ record: m }) {
          return ot(Ft, {
            dict: "WORKFLOW_TASK_STATUS",
            value: m.status
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 120,
        fixed: "right",
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(m) {
              w.modal.openModal({ data: m });
            }
          },
          {
            title: "\u7EC8\u6B62\u5B9E\u4F8B",
            icon: "close-circle-outlined",
            props: {
              type: "primary",
              danger: !0
            },
            key: "end",
            popconfirm: {
              title: "\u786E\u8BA4\u7EC8\u6B62\u5F53\u524D\u5B9E\u4F8B\u4E48\uFF1F",
              confirm: function(m) {
                const { instanceId: p, title: f } = m;
                !p || G("apis").endFlowByInstanceId({ id: p }).then((i) => {
                  gt.success(`\u7EC8\u6B62\u5B9E\u4F8B${f}\u6210\u529F`), w.table.reload();
                });
              }
            }
          },
          {
            title: "\u67E5\u770B\u9000\u56DE\u539F\u56E0",
            icon: "warning-outlined",
            hide: function(m) {
              const { type: p } = m;
              return p != "BACK";
            },
            props: {
              type: "default"
            },
            key: "view_return",
            onClick: function(m) {
              w.backModal.openModal({ data: m });
            }
          }
        ]
      }
    ]
  };
}
function ut(w = {}) {
  const F = w.tableQuery && w.tableQuery.categoryId, l = w.locationQuery || {};
  return {
    formProps: {
      baseColAttr: {
        span: 4
      },
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "startTime",
          endTime: "endTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !l.noTree,
        defaultValue: F || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": nt,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }, {
        field: "readStatus",
        label: "\u8BFB\u53D6\u72B6\u6001",
        component: "dict-select",
        componentProps: {
          dict: "TASK_READ_STATUS",
          selectProps: {
            allowClear: !0
          }
        }
      }]
    }
  };
}
const Et = { class: "workflow-manage" }, Pt = {
  key: 0,
  class: "left"
}, Nt = { class: "input-box" }, Ht = { class: "tree-box" }, Rt = { class: "right" }, Kt = /* @__PURE__ */ $t("\u5BFC\u51FA"), Qt = /* @__PURE__ */ ft({
  __name: "SanZhiWorkflowWait",
  setup(w) {
    const F = bt(), l = {};
    function y(u) {
      l.table = u;
    }
    function m(u) {
      l.modal = u;
    }
    function p(u) {
      l.workflowForm = u;
    }
    function f(u) {
      l.backModal = u;
    }
    const i = ht({
      locationQuery: St(),
      keyword: "",
      treeData: nt,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: dt,
      formProps: ut(),
      tableProps: Lt(l, F),
      tableQuery: {
        status: 0,
        instanceStatus: ""
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    }), $ = mt(() => !i.locationQuery.noTree);
    pt(
      () => i.selectedKeys,
      (u, T) => {
        const v = u[0] || "";
        i.tableQuery.categoryId = v, l.table.reload();
      },
      { deep: !0 }
    );
    function d() {
      return G("apis").getWorkflowTaskPageList;
    }
    function b() {
      const u = l.table.getParams();
      i.loading = !0, G("apis").getWorkflowTaskExcel({ ...u }).then((T) => {
      }).finally(() => {
        i.loading = !1;
      });
    }
    return yt(() => {
      Ot().then(() => {
        i.formProps = ut(i);
      });
    }), (u, T) => (st(), it("div", Et, [
      H($) ? (st(), it("div", Pt, [
        W(H(Mt), null, {
          default: q(() => [
            X("div", Nt, [
              W(H(vt), {
                value: i.keyword,
                "onUpdate:value": T[0] || (T[0] = (v) => i.keyword = v),
                placeholder: "\u8BF7\u8F93\u5165\u641C\u7D22\u5185\u5BB9"
              }, null, 8, ["value"])
            ]),
            X("div", Ht, [
              W(H(wt), {
                "tree-data": i.treeData,
                selectedKeys: i.selectedKeys,
                "onUpdate:selectedKeys": T[1] || (T[1] = (v) => i.selectedKeys = v),
                fieldNames: i.fieldNames
              }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
            ])
          ]),
          _: 1
        })
      ])) : _t("", !0),
      X("div", Rt, [
        W(H(Yt), {
          api: d(),
          autoGet: !1,
          extraParams: i.tableQuery,
          tableProps: i.tableProps,
          formProps: i.formProps,
          onRegister: y
        }, {
          formRight: q(() => [
            W(H(Dt), {
              type: "primary",
              onClick: b,
              loading: i.loading
            }, {
              default: q(() => [
                Kt
              ]),
              _: 1
            }, 8, ["loading"])
          ]),
          _: 1
        }, 8, ["api", "extraParams", "tableProps", "formProps"])
      ]),
      W(Bt, { onRegister: m }),
      W(Ct, { onRegister: f }),
      W(Tt, { onRegister: p })
    ]));
  }
});
const qt = /* @__PURE__ */ xt(Qt, [["__scopeId", "data-v-577725ab"]]);
export {
  qt as default
};
